Question Quelle version de vim puis-je utiliser?


J'ai récemment installé vim sur Ubuntu (14.04) avec Unity. En fin de compte, vim ne prend pas en charge le texte en attente dans le presse-papiers ( + ou *). J'ai lu ici que je dois installer GVim pour ajouter cette fonctionnalité à vim.

En utilisant apt-cache search Je n'ai pas trouvé de paquet nommé gvim mais les deux forfaits vim-gnome et vim-gtk. Si je comprends bien, ce sont deux types d’interface graphique. Comme j'utilise Ubuntu avec Unity, je ne suis pas sûr de savoir lequel me convient le mieux.

Quelles sont exactement les différences entre ces deux packages et lequel puis-je utiliser?


6
2018-04-28 18:56


origine




Réponses:


Les deux paquets sont pour la plupart identiques. Les deux fonctionneront parfaitement avec le bureau Unity.

L'une des différences réside dans l'ensemble des bibliothèques avec lesquelles elles sont liées pour les composants graphiques de GVim, de sorte que l'apparence des boutons, des menus et des boîtes de dialogue de fichiers peut être différente.

Une autre différence est la prise en charge des sessions de bureau. Selon Description de Vim de son interface graphique GNOME, la vim-gnome La version doit enregistrer et restaurer sa session lors de la déconnexion d'une session de bureau, ainsi que des messages sur les fichiers non enregistrés.

Voir cette réponse pour une liste complète de tous les disponibles vim-* paquets.


5
2018-05-14 22:20